Войти
Super User

Super User

Выделение адресной строки в Firefox для Linux в один клик

Многие привыкли, что выделение адресной строки в любом браузере происходит в одно нажатие. Но в Firefox в версии для Linux выделение происходит при троекратном нажатии.

Как же сделать чтобы выделение адресной строки происходило в один клик?

В адресной строке пишем: about:config (пишем без пробела, слитно)

жмём Enter

Подтверждаем, что осознаём риск.

В строке поиска набираем: browser.urlbar.clickSelectsAll

Дважды кликаем на найденную строку. Значение false, которое является значением по умолчанию, меняется на true

Закрываем вкладку about:config, открываем любую интернет страничку. Кликаем один раз на адресную строку. Строка выделилась, результат достигнут.

Удачи! wink

Ubuntu 18.04.3 LTS вышел c обновленным графическим стеком и ядром Linux

Сформировано обновление для дистрибутива Ubuntu 18.04. Обновление получило номер Ubuntu 18.04.3 LTS, в которое включены изменения, связанные с улучшением поддержки оборудования, обновлением ядра Linux и графического стека, исправлением ошибок в инсталляторе и загрузчике. В состав также включены актуальные обновления для нескольких сотен пакетов, связанные с устранением уязвимостей и проблем, влияющих на стабильность. Одновременно аналогичные обновления получили Kubuntu 18.04.3 LTS, Ubuntu Budgie 18.04.3 LTS, Ubuntu MATE 18.04.3 LTS, Lubuntu 18.04.3 LTS, Ubuntu Kylin 18.04.3 LTS и Xubuntu 18.04.3 LTS.

Уязвимости в коммутаторах Cisco, Zyxel и NETGEAR на чипах RTL83xx

В коммутаторах на базе чипов RTL83xx, включая Cisco Small Business 220, Zyxel GS1900-24, NETGEAR GS75x, ALLNET ALL-SG8208M и ещё более десятка устройств от менее известных производителей, выявлены критические уязвимости, позволяющие неаутентифицированному атакующему получить контроль над коммутатором. Проблемы вызваны ошибками в SDK Realtek Managed Switch Controller, код из которого использовался при подготовке прошивок.

Первая уязвимость (CVE-2019-1913) затрагивает управляющий web-интерфейс и даёт возможность выполнить свой код с привилегиями пользователя root. Уязвимость вызвана недостаточной проверкой передаваемых пользователем параметров и отсутствием должной оценки границ буфера при чтении входных данных. В результате, атакующий может вызвать переполнение буфера через отправку специально оформленного запроса и эксплуатировать проблему для выполнения своего кода.

Вторая уязвимость (CVE-2019-1912) позволяет без аутентификации загрузить произвольные файлы на коммутатор, в том числе перезаписать файлы с конфигурацией и организовать запуск обратного shell для удалённого входа. Проблема вызвана неполной проверкой полномочий в web-интерфейсе.

Как подключить LibreOffice Base к Postgresql в Ubuntu или Debian?

Если Вы решили создавать свою базу данных в связке LibreOffice Base & Postgresql с ходу сделать это не получится. LibreOffice Base ничего не знает о существовании Postgresql. Для начала нужно установить драйвер libreoffice-sdbc-hsqldb.

И так:

sudo apt update
sudo apt install libreoffice-sdbc-hsqldb

 Драйвер SDQL HSQLDB позволяет использовать встроенную базу данных HSQLDB из LibreOffice без какого-либо слоя-оболочки, такого как ODBC или JDBC.

Подписаться на этот канал RSS